Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET recordings/stream

Ostatnia modyfikacja 2026-05-18 13:56:05
Strumieniuje plik z nagraniem.

URL

https://your-system-name.thulium.com/api/recordings/stream

Parametry

filename

wymagany

Nazwa pliku z nagraniem. Przykładowa wartość: sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav

Przykładowy request

GET https://your-system-name.thulium.com/api/recordings/stream?filename=sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav

Przykładowy response

Dane binarne

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/recordings/stream?filename=sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/recordings/stream?filename=sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/recordings/stream?filename=sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/recordings/stream filename==sprzedaz/2014-07-07/2014-07-07_093545_921063395.234.wav Accept:application/json